org.bouncycastle.util

## Class IPTest

- java.lang.Object
- - TestCase
  - - org.bouncycastle.util.IPTest

    public class IPTest
    extends TestCase

### Constructor Summary

Constructors
Constructor and Description
`IPTest()`

### Method Summary

Methods
`java.lang.String` `getName()`
`void` `testIPv4()`
`void` `testIPv6()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IPTest

    public IPTest()

### Method Detail

#### getName

    public java.lang.String getName()

#### testIPv4

    public void testIPv4()

#### testIPv6

    public void testIPv6()